#include <bits/stdc++.h>

using namespace std;

typedef long long lli;
#define LF '\n'

const lli N=2001;
const lli INF = 1e18;

vector<lli> v;
vector<lli> used;

lli dp1[N];
lli dp2[N];

void solve()
{
    lli n;
    cin >> n;
    v.clear();
    v.resize(n+1);
    for (int i =1;i<=n;i++)cin >> v[i];
    sort(v.begin()+1,v.end());
    for (int i =0;i<=n;i++)for (int j =0;j<=n;j++)dp1[i]=INF;
    for (int i =0;i<=n;i++)for (int j =0;j<=n;j++)dp2[i]=INF;
    dp1[1]=0;
  //  vector<pair<lli,lli>> q;
 //   vector<pair<lli,lli>> q2;

    for (int i =2;i<n;i++){
        for (int p1 = 1;p1<=i;p1++){

           // lli p2 = to.second;
            lli j = i-1;
            if (j==p1)j--;
            if (j==0)j=1;
            if (v[i+1]-v[i]>=v[i]-v[p1]){
                dp2[i]=min(dp2[i],dp1[p1]);
            }
            if (v[i+1]-v[j]>=dp1[p1]){
                dp2[j]=min(dp2[j],v[i]-v[p1]);
            }
        }

        for (int j =0;j<=n;j++){dp1[j]=dp2[j];dp2[j]=INF;}
    }
    for (int i =1;i<=n;i++){
 //       for (int j =1;j<=n;j++){
            if (dp1[i]!=INF){
                cout << "YES" << LF;
                return;
            }
      //  }
    }
    cout << "NO" << LF;
}

int main()
{
    freopen("input.txt","r",stdin);
    freopen("output.txt","w",stdout);
    lli t;
    cin >> t;
    while(t--)solve();
}